Bug Hunting Session
Bug 123052 - Shift+Tab jumping back/up to unprotected cells not working
Summary: Shift+Tab jumping back/up to unprotected cells not working
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-01-30 10:05 UTC by Óvári
Modified: 2019-03-15 14:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (7.53 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-01-30 10:06 UTC, Óvári
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2019-01-30 10:05:12 UTC
Description:
1. Repeated pressing the Tab key correctly cycles though the unprotected cells (..., 1, 2, 3, ..., 7, 1, 2, ...) in a protected sheet.
2. Holding the Shift key and repeated pressing the Tab key does not correctly cycle though the unprotected cells (..., 2, 1, 7, ..., 3, 2, 1, ...) in a protected sheet.

Actual Results:
Does not work with LibreOffice 6.3 on Linux and Windows

Expected Results:
Work like LibreOffice 6.1.4.2 on Linux and Windows


Reproducible: Always


User Profile Reset: No



Additional Info:
Regression as works correctly with
Version: 6.1.4.2
Build ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Flatpak

And does not work correctly with
Version: 6.3.0.0.alpha0+
Build ID: 87bf8b7900fe4757bd8494f7a72966915f653eb6
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-19_19:05:11
Comment 1 Óvári 2019-01-30 10:06:25 UTC
Created attachment 148751 [details]
Test file

There is no password so you can very easily unprotect this spreadsheet.

Thank you
Comment 2 Óvári 2019-01-30 10:20:50 UTC
The regression may be with LibreOffice 6.2 as well. Are you able to check? Thank you
Comment 3 raal 2019-01-30 10:25:59 UTC
This seems to have begun at the below commit.
Adding Cc: to Eike Rathke ; Could you possibly take a look at this one?
Thanks

2d5b308d941fb99bfca691e9bb60270c80bcc7b0 is the first bad commit
commit 2d5b308d941fb99bfca691e9bb60270c80bcc7b0
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Jul 6 14:35:40 2018 +0200

    source sha:ec68d58afd53ffd5f0f524503dec607e52385c72

author	Eike Rathke <erack@redhat.com>	2018-07-06 12:15:35 +0200
committer	Eike Rathke <erack@redhat.com>	2018-07-06 14:25:07 +0200
commit	ec68d58afd53ffd5f0f524503dec607e52385c72 (patch)
tree	d5cb294da2b0eb3f13362a6f9ee34c924e9f2246
parent	d778140cca4c1a0b63531f46ea6c5df716e47b98 (diff)
GetNextPos: deduplicate some nMovX code
Comment 4 Julien Nabet 2019-02-02 11:16:30 UTC
On pc Debian x86-64 with master sources updated today + gtk3 rendering and enable-dbgutil, with shift-tab, focus doesn't change at all.
(plain tab works ok).
Comment 5 Óvári 2019-02-11 10:05:12 UTC
Unfortunately, Flatpak has automatically updated to LibreOffice 6.2.0 and this bug is present.

Eike Rathke could you please fix this regression before the release of LibreOffice 6.2.1?

Thank you
Comment 6 Óvári 2019-02-11 10:08:36 UTC
(In reply to Julien Nabet from comment #4)
> On pc Debian x86-64 with master sources updated today + gtk3 rendering and
> enable-dbgutil, with shift-tab, focus doesn't change at all.
> (plain tab works ok).
In the attached "Test file", click cell E5 (with the value 3).

Press and hold Shift, then repeatedly press Tab. Does it alternate between D5 and E5?

Thank you
Comment 7 Eike Rathke 2019-02-11 14:36:23 UTC
Investigating.
Comment 8 Commit Notification 2019-02-11 18:30:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/febe6a57f9bc9145ffc8e9faeb34b8ac5af1c718%5E%21

Resolves: tdf#123052 correctly init pNextRows[] values for up/back unprotected

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Eike Rathke 2019-02-11 18:30:53 UTC
Pending review https://gerrit.libreoffice.org/67696 for 6-2
Comment 10 Óvári 2019-02-11 19:37:47 UTC
(In reply to Eike Rathke from comment #9)
> Pending review https://gerrit.libreoffice.org/67696 for 6-2
Thank you
Comment 11 Xisco Faulí 2019-02-12 12:48:15 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: a8f21e120b1073d7019d41e85cc9a15104ed5c93
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Eike, thanks for fixing this!!
Comment 12 Commit Notification 2019-02-12 12:49:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/5468cf114b55124f08660ce75be7ca50de49ef0b%5E%21

Resolves: tdf#123052 correctly init pNextRows[] values for up/back unprotected

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-03-14 19:53:34 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/12d3e5d2990af41ce97bc54ad7507a1c42b2de4b%5E%21

uitest for bug tdf#123052

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.